curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/repeating_transactions/{repeating_transaction_guid} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/repeating_transactions/{repeating_transaction_guid}"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_guid}/repeating_transactions/{repeating_transaction_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"repeating_transaction": {
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"amount": 61.11,
"description": "Dominion Energy",
"guid": "RPT-a2264e1a-d2e6-41d9-88d2-2cfdf1143959",
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"merchant_guid": "MCH-1b5d7e4d-fa29-95d1-fd0f-540b6f17d986",
"last_posted_date": "2024-12-09",
"predicted_occurs_on": "2025-01-09",
"recurrence_type": "EVERY_MONTH",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
"repeating_transaction_type": "BILL",
"transaction_type": "DEBIT"
}
}Read Repeating Transaction
This endpoint returns the specified repeating_transaction resource.
Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20260929"
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
The unique id for a recurring transaction.
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for an account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The monetary amount of the transaction.
61.11
Merchant or bill description.
"Dominion Energy"
The unique identifier for the repeating transaction. Defined by MX.
"RPT-a2264e1a-d2e6-41d9-88d2-2cfdf1143959"
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The unique identifier for the merchant. Defined by MX.
"MCH-1b5d7e4d-fa29-95d1-fd0f-540b6f17d986"
Last occurrence date.
"2024-12-09"
Predicted next occurrence.
"2025-01-09"
The frequency at which a transaction is expected to repeat based on historical patterns. See Supported Recurrence Types for full list. On List and Read Transaction endpoints, this value is returned as frequency on the repeating_transaction include object.
EVERY_WEEK, EVERY_OTHER_WEEK, TWICE_A_MONTH, EVERY_MONTH, EVERY_OTHER_MONTH, EVERY_QUARTER, EVERY_OTHER_QUARTER, EVERY_YEAR, UNKNOWN "EVERY_MONTH"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
The type of repeating transaction. On List and Read Transaction endpoints, this value is returned as type on the repeating_transaction include object.
BILL, SUBSCRIPTION, INCOME, UNKNOWN The type of transaction.
DEBIT, CREDIT 
